#include <stdio.h>
#include <stdlib.h>
int BinPr(long long d[], int N, long long k) {
    int levo = 0, desno = N - 1;
    while (levo <= desno) {
        int sr = (levo + desno) / 2;
        if (d[sr] <= k) {
            levo = sr + 1;
        }
		else {
            desno = sr - 1;
        }
    }
    return levo;
}
int main() {
    int N, Q, i, j;
    scanf("%d %d", &N, &Q);
    long long d[N], p[N];
    for(i = 0; i < N; i++) {
        scanf("%lld %lld", &d[i], &p[i]);
    }
    long long k[Q];
    for(i = 0; i < Q; i++) {
        scanf("%lld", &k[i]);
    }
    for(i = 0; i < Q; i++) {
        long long bru = 0;
        int brp = BinPr(d, N, k[i]);
        for(j = 0; j < brp; j++) {
            bru += p[j];
        }
        printf("%lld\n", bru);
    }
    return 0;
}